%define anolis_release 1
Name:           lcms2
Version:        2.14
Release:        %{anolis_release}%{?dist}
Summary:        Color Management Engine
License:        MIT
URL:            http://www.littlecms.com/
Source0:        http://www.littlecms.com/lcms2-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  libjpeg-devel
BuildRequires:  libtiff-devel
BuildRequires:  zlib-devel
BuildRequires:  make

%description
LittleCMS intends to be a small-footprint, speed optimized color management
engine in open source form. LCMS2 is the current version of LCMS, and can be
parallel installed with the original (deprecated) lcms.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        utils
Summary:        Utility applications for %{name}
Requires:       %{name} = %{version}-%{release}

%description    utils
The %{name}-utils package contains utility applications for %{name}.

%package        devel
Summary:        Development files for LittleCMS
Requires:       %{name} = %{version}-%{release}
Provides:       littlecms-devel = %{version}-%{release}

%description    devel
Development files for LittleCMS.

%prep
%autosetup -p1


%build
%configure \
  --disable-static \
  --program-suffix=2

%make_build


%install
%make_install

# rename docs (for use with %%doc below)
cp -alf doc/LittleCMS2.??\ API.pdf api.pdf
cp -alf doc/LittleCMS2.??\ Plugin\ API.pdf plugin-api.pdf
cp -alf doc/LittleCMS2.??\ tutorial.pdf tutorial.pdf

%generate_compatibility_deps

%check
%make_build check -k


%files
%dir %{abidir}
%license COPYING
%{_libdir}/liblcms2.so.2*
%{abidir}/liblcms2.dump

%files doc
%doc AUTHORS ChangeLog README*

%files utils
%{_bindir}/*
%{abidir}/*-option.list
%{_mandir}/man1/*

%files devel
%doc api.pdf plugin-api.pdf tutorial.pdf
%{_includedir}/lcms2*.h
%{_libdir}/liblcms2.so
%{_libdir}/pkgconfig/lcms2.pc


%changelog
* Thu Jan 19 2023 Funda Wang <fundawang@yeah.net> - 2.14-1
- New version 2.14

* Tue Oct 25 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 2.13.1-2
- optimise spec file & add doc package

* Wed Apr 13 2022 Chunmei Xu <xuchunmei@linux.alibaba.com> - 2.13.1-1
- init from upstream
